Bug 21832 - Installation fails at lilo
Summary: Installation fails at lilo
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-06 22:52 UTC by Need Real Name
Modified: 2007-03-27 03:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-06 22:57:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-12-06 22:52:30 UTC
Traceback (innermost last):
  File "/usr/bin/anaconda", line 426, in ?
    intf.run(todo, test = test)
  File "text.py", line 1022, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/textw/lilo_text.py", line 
177, in __call__
    (images, default) = todo.lilo.getLiloImages(todo.fstab)
  File "lilo.py", line 181, in getLiloImages
    bootable = isys.checkBoot('/tmp/' + dev)
  File "isys.py", line 136, in checkBoot
    return _isys.checkBoot (path)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
path: /tmp/hdd6

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

Comment 1 Need Real Name 2000-12-06 22:57:30 UTC
This happened after I chose to install linux on hdd1 instead of the mbr.
I have installed redhat with this same cd and no probs. The only difference 
this time is that i made a 15mb dos partition during disk druid.

Comment 2 Jeremy Katz 2002-06-04 06:08:07 UTC
This is fixed in newer releases of Red Hat Linux.


Note You need to log in before you can comment on or make changes to this bug.